Metaquotes is drastically making its MQL4 lanquage evolve to reach MQL5 language in order to have only one platform at the end : MT5.

So the old codes are no more compatible at a certain point. They need to be updated.